unit untMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, untVariables, untGenericProcedures, ComCtrls,
  StdCtrls, untFileVersion, untSkypeChatSynch, ExtCtrls;

type
  TfrmMain = class(TForm)
    StatusBar: TStatusBar;
    memLog: TMemo;
    lstConversations: TListBox;
    Panel1: TPanel;
    Button1: TButton;
    edtChatsyncFolder: TEdit;
    Label1: TLabel;
    edtOwnId: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure lstConversationsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;
  MySkypeChatSyncFiles: TSkypeChatSyncFiles;
  MySkypeConversations: TSkypeConversations;

implementation

{$R *.dfm}

//---------------------------------------------------------on the very beginning
procedure TfrmMain.FormCreate(Sender: TObject);
begin
  Randomize;
  
  //-------- initialize dirs
  currentDir := ExtractFileDir(paramstr(0));

  Application.Title := 'Skype Chatsync Reader (ver.: ' + strBuildInfo + ')';
  caption := Application.Title;

  //-------- enable double-buffering for win controls (remember: TRichEdit is exclusion, so dbl-buff should be switched off for it!)
  EnableDoubleBuffering(frmMain, true);
end;









//---------------------------------------------------------------on the very end






//---------------------------------------------------------get all conversations
procedure TfrmMain.Button1Click(Sender: TObject);
var i: integer;
begin
  if directoryExists(edtChatsyncFolder.Text) then
  begin
      MySkypeChatSyncFiles := GetSkypeChatSyncFiles(edtChatsyncFolder.Text);
      MySkypeConversations := retrieveConversations(MySkypeChatSyncFiles, edtOwnId.text);

      memLog.clear;
      lstConversations.Clear;
      statusBar.Panels[0].Text := inttostr(length(MySkypeConversations)) + ' conversations found';
      for i := 0 to length(MySkypeConversations) - 1 do
      begin
        lstConversations.Items.Add(MySkypeConversations[i].participants.people[0] + ' <-> ' + MySkypeConversations[i].participants.people[1]);
      end;
  end;
end;






//---------------------------------------------------view selected conversations
procedure TfrmMain.lstConversationsClick(Sender: TObject);
begin
  if lstConversations.ItemIndex <> -1 then
  begin
    memLog.clear;
    memLog.Lines := MySkypeConversations[lstConversations.ItemIndex].content;
  end;
end;






end.

